//<?php
/* To prevent PHP errors (extending class does not exist) revealing path */
if (!\defined('\IPS\SUITE_UNIQUE_KEY')) {
    exit;
}

class neappboxoftricks_hook_code_cms_modules_admin_pages_med extends _HOOK_CLASS_ {

    /**
     * Upload items
     *
     * @return void
     */
    public function upload() {
	try
	{
	        if (\IPS\Settings::i()->neapp_boxoftricks_settings_enable_cmsmediatype) {
	            $extra = \explode(',', \IPS\Settings::i()->neapp_boxoftricks_cmsmediatype_extra);
	            if (!empty($extra)) {
	                $current = static::$additionalAllowedMediaFileTypes;
	                static::$additionalAllowedMediaFileTypes = array_merge($current, $extra);
	            }
	        }
	        return parent::upload();
	}
	catch ( \Error | \RuntimeException $e )
	{
		if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
		{
			\IPS\Log::log( $e, 'hook_exception' );
		}

		if ( method_exists( get_parent_class(), __FUNCTION__ ) )
		{
			return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
		}
		else
		{
			throw $e;
		}
	}
    }

}
