//<?php
/* To prevent PHP errors (extending class does not exist) revealing path */
if (!\defined('\IPS\SUITE_UNIQUE_KEY')) {
    exit;
}

class neappboxoftricks_hook_code_core_modules_front_system_e extends _HOOK_CLASS_ {

    /**
     * Code Dialog
     *
     * @return	void
     */
    protected function code() {
	try
	{
	        if (\IPS\Settings::i()->neapp_boxoftricks_settings_enable_ccdl) {
	            if (\IPS\Request::i()->val === '') {
	                $language = \IPS\Settings::i()->neapp_boxoftricks_ccdl_default;
	            } else {
	                $language = \IPS\Request::i()->lang;
	            }
	        } else {
	            $language = \IPS\Request::i()->lang;
	        }
	        \IPS\Output::i()->cssFiles = array_merge(\IPS\Output::i()->cssFiles, \IPS\Theme::i()->css('codemirror/codemirror.css', 'core', 'interface'));
	        \IPS\Output::i()->output = \IPS\Theme::i()->getTemplate('editor', 'core', 'global')->code(htmlentities(\IPS\Request::i()->val, ENT_QUOTES | ENT_DISALLOWED, 'UTF-8'), \IPS\Request::i()->editorId, md5(mt_rand()), $language);
	}
	catch ( \Error | \RuntimeException $e )
	{
		if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
		{
			\IPS\Log::log( $e, 'hook_exception' );
		}

		if ( method_exists( get_parent_class(), __FUNCTION__ ) )
		{
			return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
		}
		else
		{
			throw $e;
		}
	}
    }

}
