//<?php
/* To prevent PHP errors (extending class does not exist) revealing path */
if (!\defined('\IPS\SUITE_UNIQUE_KEY')) {
    exit;
}

class neappboxoftricks_hook_theme_core_front_global extends _HOOK_CLASS_ {
    /* !Hook Data - DO NOT REMOVE */

    public static function hookData() {
        return array_merge_recursive(array(
            'loginPopupForm' =>
            array(
                0 =>
                array(
                    'selector' => 'div.ipsPad.ipsForm.ipsForm_vertical > ul.ipsList_reset > li.ipsFieldRow.ipsFieldRow_noLabel.ipsFieldRow_fullWidth > input[type=\'password\'][name=\'password\'][autocomplete=\'current-password\']',
                    'type' => 'add_after',
                    'content' => ''
                    . '{{if \IPS\Settings::i()->neapp_boxoftricks_settings_enable_ctvp AND \IPS\Settings::i()->neapp_boxoftricks_ctvp_login}}'
                    . ' <div data-controller="neappboxoftricks.ctvp.view.password"></div>'
                    . '{{endif}}',
                ),
            ),
            'mobileNavigationIcon' =>
            array(
                0 =>
                array(
                    'selector' => 'ul.ipsMobileHamburger.ipsList_reset.ipsResponsive_hideDesktop > li[data-ipsdrawer-drawerelem=\'#elMobileDrawer\'] > a > i.fa.fa-navicon',
                    'type' => 'replace',
                    'content' => ''
                    . '{{if \IPS\Settings::i()->neapp_boxoftricks_settings_enable_ichpp}}'
                    . ' {{$groups = \is_array(\IPS\Settings::i()->neapp_boxoftricks_ichpp_groups) ? \IPS\Settings::i()->neapp_boxoftricks_ichpp_groups : \json_decode(\IPS\Settings::i()->neapp_boxoftricks_ichpp_groups, TRUE);}}'
                    . ' {{if \IPS\Settings::i()->neapp_boxoftricks_ichpp_groups === \'*\' OR \IPS\Member::loggedIn()->inGroup($groups)}}'
                    . '     {template="userPhoto" group="global" app="core" params="\IPS\Member::loggedIn(), \'tiny\'"}'
                    . ' {{else}}'
                    . '     <i class=\'fa fa-navicon\'></i>'
                    . ' {{endif}}'
                    . '{{else}}'
                    . ' <i class=\'fa fa-navicon\'></i>'
                    . '{{endif}}',
                ),
            ),
            'logo' =>
            array(
                0 =>
                array(
                    'selector' => '#elLogo',
                    'type' => static::neType(),
                    'content' => ''
                    . '{{if \IPS\Settings::i()->site_site_elsewhere AND \IPS\Settings::i()->neapp_boxoftricks_siteurl_method ===\'template\'}}'
                    . ' {template="logo" group="global" location="front" app="neappboxoftricks" params=""}'
                    . '{{endif}}',
                ),
                1 =>
                array(
                    'selector' => '#elSiteTitle',
                    'type' => static::neType(),
                    'content' => ''
                    . '{{if \IPS\Settings::i()->site_site_elsewhere AND \IPS\Settings::i()->neapp_boxoftricks_siteurl_method ===\'template\'}}'
                    . ' {template="logo" group="global" location="front" app="neappboxoftricks" params=""}'
                    . '{{endif}}',
                ),
            ),
                ), parent::hookData());
    }

    protected static function neType() {
        if (\IPS\Settings::i()->neapp_boxoftricks_siteurl_method === 'js') {
            return "add_inside_start";
        } else {
            return "replace";
        }
    }

    /* End Hook Data */
}
