//<?php
/* To prevent PHP errors (extending class does not exist) revealing path */
if (!\defined('\IPS\SUITE_UNIQUE_KEY')) {
    exit;
}

class neappboxoftricks_hook_theme_core_front_system extends _HOOK_CLASS_ {
    /* !Hook Data - DO NOT REMOVE */

    public static function hookData() {
        return array_merge_recursive(array(
            'loginForm' =>
            array(
                0 =>
                array(
                    'selector' => '#password',
                    'type' => 'add_after',
                    'content' => ''
                    . '{{if \IPS\Settings::i()->neapp_boxoftricks_settings_enable_ctvp AND \IPS\Settings::i()->neapp_boxoftricks_ctvp_login}}'
                    . ' <div data-controller="neappboxoftricks.ctvp.view.password"></div>'
                    . '{{endif}}',
                ),
            ),
            'reauthenticate' =>
            array(
                0 =>
                array(
                    'selector' => '#password',
                    'type' => 'add_after',
                    'content' => ''
                    . '{{if \IPS\Settings::i()->neapp_boxoftricks_settings_enable_ctvp AND \IPS\Settings::i()->neapp_boxoftricks_ctvp_account AND \IPS\Settings::i()->neapp_boxoftricks_ctvp_account_privacy}}'
                    . ' <div data-controller="neappboxoftricks.ctvp.view.password"></div>'
                    . '{{endif}}',
                ),
            ),
            'settingsPassword' =>
            array(
                0 =>
                array(
                    'selector' => 'div.ipsPadding:nth-child(2)',
                    'type' => 'add_inside_end',
                    'content' => ''
                    . '{{if \IPS\Settings::i()->neapp_boxoftricks_settings_enable_ctvp AND \IPS\Settings::i()->neapp_boxoftricks_ctvp_account AND \IPS\Settings::i()->neapp_boxoftricks_ctvp_account_password}}'
                    . ' <div data-controller="neappboxoftricks.ctvp.view.password"></div>'
                    . '{{endif}}',
                ),
            ),
                ), parent::hookData());
    }

    /* End Hook Data */
}
