//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class neappboxoftricks_hook_theme_forums_front_index extends _HOOK_CLASS_
{

/* !Hook Data - DO NOT REMOVE */
public static function hookData() {
        return array_merge_recursive(array(
            'index' =>
            array(
                0 =>
                array(
                    'selector' => 'section > ol.ipsList_reset.cForumList[data-controller=\'core.global.core.table, forums.front.forum.forumList\'] > li.cForumRow.ipsBox.ipsSpacer_bottom > h2.ipsType_sectionTitle.ipsType_reset.cForumTitle',
                    'type' => 'add_inside_end',
                    'content' => ''
                    . '{{if \IPS\Settings::i()->neapp_boxoftricks_settings_enable_uiffc AND \IPS\Settings::i()->neapp_boxoftricks_uiffc_icon_location}}'
                    . '{{$necategoryunread = false;}}'
                    . '{{foreach $category->children() as $forum}}'
                    . '{{if \IPS\forums\Topic::containerUnread( $forum ) && !$forum->redirect_on}}'
                    . '{{$necategoryunread = true;}}'
                    . '{{endif}}'
                    . '{{endforeach}}'
                    . '{{if $necategoryunread}}'
                    . '<i class="fa fa-comments neUnread"></i>'
                    . '{{endif}}'
                    . '{{endif}}',
                ),
                1 =>
                array(
                    'selector' => 'section > ol.ipsList_reset.cForumList[data-controller=\'core.global.core.table, forums.front.forum.forumList\'] > li.cForumRow.ipsBox.ipsSpacer_bottom > h2.ipsType_sectionTitle.ipsType_reset.cForumTitle',
                    'type' => 'add_inside_start',
                    'content' => ''
                    . '{{if \IPS\Settings::i()->neapp_boxoftricks_settings_enable_uiffc AND !\IPS\Settings::i()->neapp_boxoftricks_uiffc_icon_location}}'
                    . '{{$necategoryunread = false;}}'
                    . '{{foreach $category->children() as $forum}}'
                    . '{{if \IPS\forums\Topic::containerUnread( $forum ) && !$forum->redirect_on}}'
                    . '{{$necategoryunread = true;}}'
                    . '{{endif}}'
                    . '{{endforeach}}'
                    . '{{if $necategoryunread}}'
                    . '<i class="fa fa-comments neUnread"></i>'
                    . '{{endif}}'
                    . '{{endif}}',
                ),
            ),
                ), parent::hookData());
    }
/* End Hook Data */


}
